services:
  # The Application Service (PHP)
  app:
    build:
      context: ./server
      dockerfile: Dockerfile
      args:
        - user=${USER}
        - uid=${UID}
    image: casadoc-app
    container_name: casadoc-app
    restart: unless-stopped
    tty: true
    environment:
      SERVICE_NAME: app
      SERVICE_TAGS: dev 
    working_dir: /var/www
    volumes:
      - ./server:/var/www
      - ./docker/php/local.ini:/usr/local/etc/php/conf.d/local.ini
    networks:
      - app-network

  # The Web Server (Nginx)
  webserver:
    image: nginx:alpine
    container_name: casadoc-webserver
    restart: unless-stopped
    tty: true
    ports:
      - "8000:80"
    volumes:
      - ./server:/var/www
      - ./docker/nginx/conf.d/:/etc/nginx/conf.d/
    networks:
      - app-network

# Docker Networks
networks:
  app-network:
    driver: bridge
